package com.yihu.jw.entity.hospital.consult;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
* 医生诊室实体
*
* @author Administrator on  2019年05月16日
*
*/
@Entity
@Table(name = "wlyy_doctor_clinic_room")
public class WlyyDoctorClinicRoomDO extends UuidIdentityEntity {

    /**
	 * 
	 */
	private String saasId;

    /**
	 * 医院CODE
	 */
	private String hospital;

    /**
	 * 医院名称
	 */
	private String hospitalName;

    /**
	 * 科室CODE
	 */
	private String dept;

    /**
	 * 科室名称
	 */
	private String deptName;

    /**
	 * 医生CODE
	 */
	private String doctor;

    /**
	 * 医生名称
	 */
	private String doctorName;

    /**
	 * 
	 */
	private String clinicName;

    /**
	 * -1离线 0在线 1空闲 2接诊中
	 */
	private Integer clinicStatus;

    /**
	 * 日期 YYMMDD
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date date;

    /**
	 * 0删除 1有效
	 */
	private Integer status;


	@Column(name = "saas_id")
    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

	@Column(name = "hospital")
    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

	@Column(name = "hospital_name")
    public String getHospitalName() {
        return hospitalName;
    }
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

	@Column(name = "dept")
    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

	@Column(name = "dept_name")
    public String getDeptName() {
        return deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

	@Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

	@Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

	@Column(name = "clinic_name")
    public String getClinicName() {
        return clinicName;
    }
    public void setClinicName(String clinicName) {
        this.clinicName = clinicName;
    }

	@Column(name = "clinic_status")
    public Integer getClinicStatus() {
        return clinicStatus;
    }
    public void setClinicStatus(Integer clinicStatus) {
        this.clinicStatus = clinicStatus;
    }

	@Column(name = "date")
    public Date getDate() {
        return date;
    }
    public void setDate(Date date) {
        this.date = date;
    }

	@Column(name = "status")
    public Integer getStatus() {
        return status;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }



}